summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--debian/tests/control2
-rwxr-xr-xtests/tests/quilt-gbp46
2 files changed, 47 insertions, 1 deletions
diff --git a/debian/tests/control b/debian/tests/control
index 60c6e09..ba10587 100644
--- a/debian/tests/control
+++ b/debian/tests/control
@@ -16,7 +16,7 @@ Tests: mirror mirror-debnewgit mirror-private
Tests-Directory: tests/tests
Depends: dgit, dgit-infrastructure, devscripts, rsync
-Tests: build-modes build-modes-asplit build-modes-gbp-asplit clone-gitnosuite clone-nogit debpolicy-dbretry debpolicy-newreject distropatches-reject drs-clone-nogit drs-push-masterupdate drs-push-rejects dsd-clone-nogit dsd-divert fetch-localgitonly fetch-somegit-notlast push-buildproductsdir push-newpackage push-nextdgit quilt quilt-singlepatch rpush tag-updates test-list-uptodate trustingpolicy-replay
+Tests: build-modes build-modes-asplit build-modes-gbp-asplit clone-gitnosuite clone-nogit debpolicy-dbretry debpolicy-newreject distropatches-reject drs-clone-nogit drs-push-masterupdate drs-push-rejects dsd-clone-nogit dsd-divert fetch-localgitonly fetch-somegit-notlast push-buildproductsdir push-newpackage push-nextdgit quilt quilt-gbp quilt-singlepatch rpush tag-updates test-list-uptodate trustingpolicy-replay
Tests-Directory: tests/tests
Depends: dgit, dgit-infrastructure, devscripts
diff --git a/tests/tests/quilt-gbp b/tests/tests/quilt-gbp
new file mode 100755
index 0000000..d3624e9
--- /dev/null
+++ b/tests/tests/quilt-gbp
@@ -0,0 +1,46 @@
+#!/bin/bash
+set -e
+. tests/lib
+
+t-gbp-example-prep
+
+t-expect-fail 'quilt fixup cannot be linear' \
+ t-dgit build-source
+
+t-dgit --quilt=gbp build-source
+
+t-dgit --quilt=gbp --gbp=no-such-command-gbp build-source
+
+echo spong >debian/pointless-for-dgit-test
+git add debian/pointless-for-dgit-test
+git commit -m Pointless
+
+t-expect-fail no-such-command-gbp \
+t-dgit --quilt=gbp --clean=git --gbp=no-such-command-gbp build-source
+
+t-dgit --quilt=gbp --clean=git build-source
+
+t-expect-fail 'specifies a different tree to your HEAD commit' \
+ t-dgit push
+
+exit 0
+
+===
+
+want to
+
+ do push
+ t-pushed-good
+ check that
+ - we didn't update caller's branch
+
+ do fetch
+ check that this didn't update dgit remote ref
+
+ check that Dgit hash in dsc refers to tree identical
+ to dpkg-source -x
+
+ check that that tree
+ - has patches applied (reuse rules build magic)
+ - has .gitignore edited
+